Subject: Re: Is keepalive behaving as expected in 3.7.0+/net-next?

From: Rick Jones <[email-masked]>
Date: Thu, 03 Jan 2013 12:13:39 -0800

On 12/30/2012 05:50 PM, Jamie Gloudon wrote:
> On Sun, Dec 30, 2012 at 12:51:47PM -0800, Rick Jones wrote:
>>> Make a lot of sense. However, I got the impression from Rick that
>>> having tcp_keepalive_intvl > tcp_keepalive_time behaved correctly in
>>> older versions of the kernel.
>>
>> I seek to make no assertions about the behaviour of older kernels.  I was
>> just going off the ip-sysctl.txt wording I was looking to clean-up.
>>
>> rick
>
> Ok, should ip-sysctl.txt documentation be updated to warn not to set tcp_keepalive_intvl > tcp_keepalive_time?

Well, that or explain how it will not always be the time interval at 
which the probes are sent.

rick